com.singularsys.jep.misc.functions

## Enum SwitchDefault.NullBehaviour

- java.lang.Object
- - java.lang.Enum<SwitchDefault.NullBehaviour>
  - - com.singularsys.jep.misc.functions.SwitchDefault.NullBehaviour

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SwitchDefault.NullBehaviour>
  Enclosing class:
    SwitchDefault

      public static enum SwitchDefault.NullBehaviour
      extends java.lang.Enum<SwitchDefault.NullBehaviour>

  Action to take if first argument is null.
  Since:
    3.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` Generate an IllegalParameterException
    `RETURN_NULL` Returns null

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SwitchDefault.NullBehaviour` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SwitchDefault.NullBehaviour[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final SwitchDefault.NullBehaviour ERROR

      Generate an IllegalParameterException

    - #### RETURN_NULL

          public static final SwitchDefault.NullBehaviour RETURN_NULL

      Returns null

  - ### Method Detail

    - #### values

          public static SwitchDefault.NullBehaviour[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SwitchDefault.NullBehaviour c : SwitchDefault.NullBehaviour.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SwitchDefault.NullBehaviour valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 Singular Systems http://www.singularsys.com/jep